QB_UTIL_STOPWATCH_TIME_SPLIT_GET(3)

NAME
qb_util_stopwatch_time_split_get - Read the time split (in us) from "receint" to "older".

SYNOPSIS
#include <qb/qbutil.h>

uint64_t qb_util_stopwatch_time_split_get(
    qb_util_stopwatch_t   *sw,       /* the stopwatch */
    uint32_t               receint,  /* split */
    uint32_t               older     /* split */
);

PARAMS
sw the stopwatch

receint split

older split

DESCRIPTION

If older == receint then the cumulated split will be returned (from the stopwatch start).

RETURN VALUE

the split time in micro seconds

0 if not a valid split

SEE ALSO

qb_util_nano_current_get(3), qb_util_stopwatch_stop(3), qb_util_stopwatch_split(3), qb_util_stopwatch_split_ctl(3), qb_thread_unlock(3), qb_strerror_r(3), qb_util_set_log_function(3), qb_util_timespec_from_epoch_get(3), qb_thread_lock_destroy(3), qb_thread_trylock(3), qb_util_nano_monotonic_hz(3), qb_util_nano_from_epoch_get(3), qb_util_stopwatch_create(3), qb_util_stopwatch_split_last(3), qb_thread_lock(3), qb_util_stopwatch_free(3), qb_thread_lock_create(3), qb_timespec_add_ms(3), qb_util_stopwatch_start(3), qb_util_stopwatch_us_elapsed_get(3), qb_util_stopwatch_sec_elapsed_get(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.